Boost.Locale: boost::locale::boundary::boundary_indexing< Char > Class Template Reference

# Boost C++ Libraries

...one of the most highly regarded and expertly designed C++ library projects in the world. — Herb Sutter and Andrei Alexandrescu, C++ Coding Standards

Public Member Functions | Static Public Attributes

# boost::locale::boundary::boundary_indexing< Char > Class Template Reference
[Boundary Analysis]

This facet generates an index for boundary analysis for a given text. More...

`#include <boost/locale/boundary/facets.hpp>`

List of all members.

## Public Member Functions
| boundary_indexing (size_t refs=0)
virtual index_type | map (boundary_type t, Char const *begin, Char const *end) const =0
## Static Public Attributes
static std::locale::id | id

## Detailed Description

### template<typename Char>
class boost::locale::boundary::boundary_indexing< Char >

This facet generates an index for boundary analysis for a given text.

It is specialized for 4 types of characters `char_t`, `wchar_t`, `char16_t` and `char32_t`

## Constructor & Destructor Documentation

template<typename Char >

boost::locale::boundary::boundary_indexing< Char >::boundary_indexing | ( | size_t | refs = `0` | ) | `[inline]`

Default constructor typical for facets

## Member Function Documentation

template<typename Char >

virtual index_type boost::locale::boundary::boundary_indexing< Char >::map | ( | boundary_type | t,
|  | Char const * | begin,
|  | Char const * | end |
| ) |  |  | const`[pure virtual]`

Create index for boundary type t for text in range [begin,end)

The returned value is an index of type index_type. Note that this index is never empty, even if the range [begin,end) is empty it consists of at least one boundary point with the offset 0.

## Member Data Documentation

template<typename Char >

std::locale::id boost::locale::boundary::boundary_indexing< Char >::id`[static]`

Identification of this facet

The documentation for this class was generated from the following file:

- boost/locale/boundary/facets.hpp